<?php

namespace drp\AdminPanel\Auth\Http\Controllers;

use Auth;
use drp\AdminPanel\Admin\Http\Controllers\Controller;
use Illuminate\Http\Request;

class AuthController extends Controller
{
    public function login()
    {
        return view('DrpAuthAdmin::login');
    }

    public function loginPost(Request $request)
    {
        $this->validate($request, [
            'email' => 'required|email',
            'password' => 'required',
        ]);

        $credentials = $request->only('email', 'password');

        if (Auth::attempt($credentials, $request->has('remember'))) {
            return redirect()->intended(route('admin.dashboard'));
        }

        return redirect(route('auth.login'))
                    ->withInput($request->only('email', 'remember'))
                    ->withErrors([
                        'email' => 'These credentials do not match our records.',
                    ]);
    }

    public function logout()
    {
        Auth::logout();

        return redirect(route('auth.login'))
            ->withSuccess('Successfully logged out.');
    }
}
