@extends('DrpAuthAdmin::auth')

@section('content')

<div class="login-box-body">
    <p class="login-box-msg">Sign in to manage {{ config('drpadmin.applicationName') }}</p>
    <form action="{{ route('auth.login.post') }}" method="post">
        <input type="hidden" name="_token" value="{{ csrf_token() }}">
        <div class="form-group has-feedback">
            <input type="email" class="form-control" placeholder="Email" name="email"/>
            <i class="fa fa-envelope form-control-feedback"></i>
        </div>
        <div class="form-group has-feedback">
            <input type="password" class="form-control" placeholder="Password" name="password"/>
            <i class="fa fa-lock form-control-feedback"></i>
        </div>
        <div class="form-group form-action-secondary forgot-password">
            <a href="{{ route('auth.password.email.get') }}">I forgot my password</a><br>
        </div>
        <div class="row">
            <div class="col-xs-8">
                <div class="checkbox icheck">
                    <label>
                        <input type="checkbox"> Remember Me
                    </label>
                </div>
            </div>
            <div class="col-xs-4">
                <button type="submit" class="btn btn-primary btn-block btn-flat">Log In</button>
            </div>
        </div>
    </form>
</div>

@endsection

@section('scripts')
<script>
    $(function () {
        $('input').iCheck({
            checkboxClass: 'icheckbox_square-green',
            radioClass: 'iradio_square-green',
            increaseArea: '20%' // optional
        });
    });
</script>
@endsection
