<?php

namespace drp\AdminPanel\Styleguide;

use Illuminate\Support\ServiceProvider;

class StyleguideServiceProvider extends ServiceProvider
{
    /**
     * Perform post-registration booting of services.
     *
     * @return void
     */
    public function boot()
    {
        $this->loadViewsFrom(realpath(__DIR__.'/Views'), 'DrpStyleguideAdmin');

        if (!$this->app->routesAreCached() ||
            config('drpadmin') == false
        ) {
            require __DIR__ . '/Http/routes.php';
        }

        $sidebar = $this->app->make('Sidebar');
        $styleGuideItem = $sidebar->addMultiLevelItem('fa-paint-brush', 'Styleguide')
                    ->addItem('fa-th', 'Widgets', route('admin.styleguide.widgets', [], false));
        $styleGuideItem->addMultiLevelItem('fa-pie-chart', 'Charts')
                    ->addItem('fa-circle-o', 'ChartJS', route('admin.styleguide.charts.chartjs', [], false))
                    ->addItem('fa-circle-o', 'Flot', route('admin.styleguide.charts.flot', [], false))
                    ->addItem('fa-circle-o', 'Inline', route('admin.styleguide.charts.inline', [], false));
        $styleGuideItem->addMultiLevelItem('fa-laptop', 'UI Elements')
                    ->addItem('fa-circle-o', 'General', route('admin.styleguide.ui-elements.general', [], false))
                    ->addItem('fa-circle-o', 'Buttons', route('admin.styleguide.ui-elements.buttons', [], false))
                    ->addItem('fa-circle-o', 'Sliders', route('admin.styleguide.ui-elements.sliders', [], false))
                    ->addItem('fa-circle-o', 'Timeline', route('admin.styleguide.ui-elements.timeline', [], false))
                    ->addItem('fa-circle-o', 'Modals', route('admin.styleguide.ui-elements.modals', [], false));
        $styleGuideItem->addMultiLevelItem('fa-edit', 'Forms')
                    ->addItem('fa-circle-o', 'General', route('admin.styleguide.forms.general', [], false))
                    ->addItem('fa-circle-o', 'Advanced', route('admin.styleguide.forms.advanced', [], false))
                    ->addItem('fa-circle-o', 'Editors', route('admin.styleguide.forms.editors', [], false));
        $styleGuideItem->addMultiLevelItem('fa-table', 'Tables')
                    ->addItem('fa-circle-o', 'Simple', route('admin.styleguide.tables.simple', [], false))
                    ->addItem('fa-circle-o', 'Data tables', route('admin.styleguide.tables.data', [], false));
    }

    /**
     * Register any package services.
     *
     * @return void
     */
    public function register()
    {

    }
}
