<?php

namespace drp\AdminPanel\User\Middleware;

use Closure;

class UserSidebarMiddleware
{
    /**
     * Run the request filter.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        $user = auth()->user();
        $roles = config('drpadmin.userCrudRoles');
        $roles = explode('|', $roles);
        foreach ($roles as $role) {
            if ($user != null && $user->hasRole($role)) {
                $sidebar = app('Sidebar');
                $sidebar->addMultiLevelItem('fa-users', 'Users', true)
                            ->addItem('fa-list', 'All', route('admin.users.index', [], false))
                            ->addItem('fa-pencil', 'Create', route('admin.users.create', [], false));
            }
        }

        return $next($request);
    }
}
